Page MenuHomePhabricator

[PowerPC] Implement Vector Count Mask Bits builtins in LLVM/Clang
ClosedPublic

Authored by amyk on Jun 28 2020, 12:36 PM.

Details

Summary

This patch implements the vec_cntm function prototypes in altivec.h in order to utilize
the vector count mask bits instructions introduced in Power10.

Depends on D82675.

Diff Detail

Event Timeline

amyk created this revision.Jun 28 2020, 12:36 PM
amyk retitled this revision from [PowerPC][Power10] Implement Vector Count Mask Bits builtins in LLVM/Clang to [PowerPC] Implement Vector Count Mask Bits builtins in LLVM/Clang.Jul 27 2020, 3:57 PM
amyk edited the summary of this revision. (Show Details)

I will need to update this patch to remove the instruction definition and MC tests.

amyk updated this revision to Diff 283109.Aug 4 2020, 7:17 PM

Rebased patch and removed MC tests from the patch.

steven.zhang accepted this revision.Mon, Sep 7, 4:47 PM
steven.zhang added a subscriber: steven.zhang.

LGTM.

This revision is now accepted and ready to land.Mon, Sep 7, 4:47 PM
This revision was landed with ongoing or failed builds.Thu, Sep 17, 4:40 PM
This revision was automatically updated to reflect the committed changes.